Name:		rawtherapee
Version:	5.3
Release:	%mkrel 1
Summary:	Raw image processing software
Group:		Graphics
License:	GPLv3 and MIT and IJG
URL:		http://www.rawtherapee.com/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Patch0:		rawtherapee-5.1-link.patch
#-----------------------------------------
BuildRequires: %{_lib}canberra-gtk3-devel
BuildRequires: %{_lib}gtkmm3.0-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}expat1-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}iptcdata-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: libgomp-devel
BuildRequires: libstdc++-devel
BuildRequires: cmake
BuildRequires: mercurial
BuildRequires: multiarch-utils
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils
BuildRequires: wayland-protocols-devel
#-----------------------------------------
Requires: hicolor-icon-theme


%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q
%apply_patches


%build
export CXXFLAGS="%{optflags} -std=c++11"
%cmake -DBUILD_SHARED_LIBS=OFF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/


# These file are taken from the root already
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/rawtherapee

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
  
  
%clean
rm -rf $RPM_BUILD_ROOT

%post
update-menus
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 
%{_bindir}/update-desktop-database %{_datadir}/applications || :


%postun
update-menus
%{_bindir}/update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :


%files
%defattr(-,root,root,-)
%doc AUTHORS.txt LICENSE.txt
%{_bindir}/rawtherapee*
%{_datadir}/rawtherapee
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/rawtherapee.png
%{_datadir}/man/man1/rawtherapee.1.*
%{_datadir}/metainfo/rawtherapee.appdata.xml

%changelog
* Wed Oct 10 2017 bb2 <bb2> - 5.3-1pclos2017
- new version

* Thu Sep 14 2017 bb2 <bb2> - 5.2-2pclos2017
- rebuild against updates

* Mon Jul 31 2017 bb2 <bb2> - 5.2-1pclos2017
- new version

* Fri Jun 02 2017 bb2 <bb2> - 5.1-1pclos2017
- update

* Fri Oct 24 2014 bb <bb> 4.2-1pclos2014
- update

* Sat Aug 15 2014 bb <bb> 4.1.0-2pclos2014
- update

* Tue May 27 2014 pinoc <vogtpet at gmail.com> 4.1.0-1pclos2014
- 4.1.0

